<?php

namespace App\Enums;

use Filament\Support\Contracts\HasLabel;

enum TypeAnnonce: string implements HasLabel
{
    case Marketplace = 'marketplace';
    case Evenement = 'evenement';
    case Emploi = 'emploi';
    case Annuaire = 'annuaire';
    case Livre = 'livre';

    public function getLabel(): string
    {
        return match ($this) {
            self::Marketplace => 'Marketplace',
            self::Evenement => 'Événement',
            self::Emploi => 'Offre d\'emploi',
            self::Annuaire => 'Annuaire entreprise',
            self::Livre => 'Livre',
        };
    }
}